Loading...
Searching...
No Matches
caf::io::basp::header Struct Reference

The header of a Binary Actor System Protocol (BASP) message. More...

`#include <header.hpp>`

## Public Member Functions

| header (message_type m_operation, uint8_t m_flags, uint32_t m_payload_len, uint64_t m_operation_data, actor_id m_source_actor, actor_id m_dest_actor)
bool | has (uint8_t flag) const
| Queries whether this header has the given flag.

## Public Attributes

message_type | operation
uint8_t | padding1
uint8_t | padding2
uint8_t | flags
uint32_t | payload_len
uint64_t | operation_data
actor_id | source_actor
actor_id | dest_actor

## Static Public Attributes

static const uint8_t | named_receiver_flag = 0x01
| Identifies a receiver by name rather than ID in a direct_message.
static const uint8_t | select_connection_flag = 0x02
| Forces the server to use this connection to a client in a client_handshake.

## Related Symbols

(Note that these are not member symbols.)
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, header &hdr)
bool | operator== (const header &lhs, const header &rhs)
bool | operator!= (const header &lhs, const header &rhs)
bool | valid (const header &hdr)
| Checks whether given BASP header is valid.

## Detailed Description

The header of a Binary Actor System Protocol (BASP) message.

A BASP header consists of a routing part, i.e., source and destination, as well as an operation and operation data. Several message types consist of only a header.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/basp/header.hpp